Changelog

Keep track of every change to the Adatree Data API

This changelog lists all additions and updates to the Adatree Data APIs, in reverse chronological order.

March 24, 2026

The following changes have been made for the /data/banking/accounts API:

  • Remove default true value on features[].isActivated
  • Add isInstalmentDetailAvailable and instalments fields
  • Add new BankingProductInstalments model
  • Changes to the depositRates[].tiers and lendingRates[].tiers fields:
    • Deprecated minimumValue, maximumValue and applicabilityConditions fields
    • Added new minimumValueString, maximumValueString and applicabilityConditionList fields
  • Changes to the depositRates and lendingRates models:
    • Add new applicationType and applicabilityConditionList fields
  • Changes to the BankingProductRateCondition model:
    • Add new rateApplicabilityType and additionalValue fields
  • Changes to the fees model:
    • Deprecated fields: amount, balanceRate, transactionRate, accruedRate, accrualFrequency
    • Added new fields: feeMethodUType, fixedAmount, rateBased, variable, feeCap, feeCapPeriod
  • Add new enum values:
    • BankingProductFeatureType: EXTRA_DOWN_PAYMENT, FUNDS_AVAILABLE_AFTER
    • BankingLoanAccount.repaymentType: OTHER, UNCONSTRAINED

March 16, 2026

  • Add missing doc for BankingTransaction_extendedData.nppPayload
  • Add new enum values:
    • BankingProductCategory: BUY_NOW_PAY_LATER
    • BankingProductFee.feeType: CASH_ADVANCE, DISHONOUR, ENQUIRY, LATE_PAYMENT, OTHER, REPLACEMENT, UPFRONT_PER_PLAN, VARIATION
    • BankingProductLendingRate.lendingRateType: BALANCE_TRANSFER
    • BankingProductLendingRate.loanPurpose: OTHER, UNCONSTRAINED
    • BankingProductLendingRate.repaymentType: OTHER, UNCONSTRAINED

February 20, 2026

  • Update energy service points endpoint to reflect new lastConsumerChangeDate field as defined by CDS Service Points v2

October 31, 2025

  • Add deprecation for GET /data/energy/accounts

July 1, 2025

  • Removed endpoint GET /data/energy/plans as energy plans are not supported by all data providers

June 25, 2025

  • Introduced GET /data/v2/energy/accounts, which returns the field TimeVaryingTariffs as an array

September 24, 2024

  • Add support for new value digitalWallet on enum BankingScheduledPayment.paymentSet.to.toUType
  • Add support for digitalWallet to BankingScheduledPayment.paymentSet.to

June 17, 2024

  • Update energy bills endpoint usage and demand objects to reflect new timeOfUseType enum values as defined by CDS Energy Bills v3

June 14, 2024

  • Energy bills endpoint upgraded to CDS Energy Bills v3, which now returns a new measureUnit field for transactionUType: demand

January 3, 2024

  • Energy account detail endpoint now returns either amount or rates array for solarFeedInTariff depending on what the data holder supports. Also added additional V3 fields.

December 21, 2023

  • Add new query parameter statuses to /data/banking/transactions endpoint

September 28, 2023

  • Remove fields loanEndDate, nextInstalmentDate and repaymentFrequency from BankingLoanAccount mandatory requirement as these are optional in the CDS

January 20, 2023

  • Add support for additionalOverviewUris, additionalTermsUris, additionalEligibilityUris, additionalFeesAndPricingUris, additionalBundleUris to BankingProduct_additionalInformation.

January 17, 2023

  • Add support for accountOwnership to Bank Account. The value indicating the number of customers that have ownership of the account, according to the data holder's definition of account ownership. Does not indicate that all account owners are eligible consumers. Values are UNKNOWN, ONE_PARTY, TWO_PARTY, MANY_PARTY, or OTHER.
  • Add support for new value DIGITAL_WALLET on enum Payee.type
  • Add support for new value digitalWallet on enum Payee.payeeUType
  • Add support for digitalWallet to Payee
  • Add support for occupationCodeVersion to Customer.person
    • The applicable [ANZSCO] release version of the occupation code provided. Mandatory if an occupationCode is supplied. If occupationCode is supplied but occupationCodeVersion is absent, default is ANZSCO_1220.0_2013_V1.2
    • Values are ANZSCO_1220.0_2006_V1.0, ANZSCO_1220.0_2006_V1.1, ANZSCO_1220.0_2013_V1.2, or ANZSCO_1220.0_2013_V1.3. Default value is ANZSCO_1220.0_2013_V1.2.
  • Add support for industryCodeVersion to Customer.organisation
    • The applicable ANZSIC release version of the industry code provided. Should only be supplied if industryCode is also supplied. If industryCode is supplied but industryCodeVersion is absent, default is ANZSIC_1292.0_2006_V2.0.
    • Values are ANZSIC_1292.0_2006_V1.0 or ANZSIC_1292.0_2006_V2.0. Default value is ANZSIC_1292.0_2006_V2.0.

January 1, 2023

  • API Changelog created